低危 GNU Binutils拒绝服务漏洞(CNVD-2018-12117)

CVE编号

CVE-2018-12697

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-06-24 12:29:00
漏洞描述
GNU Binutils(又名GNU Binary Utilities或binutils)是GNU计划开发的一组编程语言工具程序,它主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。GNU libiberty是其中的一个GNU程序使用的子程序的集合。
GNU Binutils 2.30版本中的GNU libiberty的cplus-dem.c文件的‘work_stuff_copy_to_from’函数存在安全漏洞。攻击者可利用该漏洞造成拒绝服务(空指针逆向引用)。
解决建议
厂商尚未提供漏洞修复方案,请关注厂商主页更新:
https://www.gnu.org/software/binutils/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu binutils 2.30 -
2
运行在以下环境
系统 debian_10 binutils * Up to
(excluding)
2.31.1-16
3
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
4
运行在以下环境
系统 amazon_2 binutils * Up to
(excluding)
2.29.1-29.amzn2
5
运行在以下环境
系统 oracle_7 binutils * Up to
(excluding)
2.27-41.base.0.1.el7
6
运行在以下环境
系统 alibaba_cloud_linux_2.1903 binutils * Up to
(excluding)
2.27-41.base.1.al7
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况